package felix.util;

import tuffy.util.Config;


/**
 * Container of global configuration parameters.
 */
public class FelixConfig extends Config{

	/**
	 * Overriding Tuffy fields to get new identity
	 */
	public static void overrideID() {
		product_line = "felix";
		product_name = "Felix 0.2";
		path_conf = "./felix.conf";
		dir_working = "/tmp/felix-workspace";
		
		Config.db_schema = "tuffy_testing10";
	}
		
	public static boolean hadoopLocal = false;
	public static String auxSchema = null;
	public static boolean forceExt = false;
	
	/**
	 * Fields specialized to Felix
	 */
	public static int currentIndent = 1;
	
	public static boolean isFirstRunOfDD = false;
	
	public static boolean allRuleAsMLN = false;
	
	public static boolean pickRandom = false;
	
	public static boolean explainMode = false;
	
	public static int nCores = 1;
	
	public static boolean allView = false;
	
	public static boolean allMat = false;
	
	public static boolean mixturedLoading = false;
	
	public static String hdfsServer = "hdfs://d-02.cs.wisc.edu:9000/";
	
	public static String mrServer = "hdfs://d-02.cs.wisc.edu:9001/";
	
	public static int nReduce = 30;
	
	public static int nDDIT = 5;
	
}
